6.0.0-git
2019-05-19

[#14666] https://pear.horde.org/ doesn't include latest security updates
Summary https://pear.horde.org/ doesn't include latest security updates
Queue Horde.org Servers
Queue Version PEAR server
Type Bug
State Resolved
Priority 3. High
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester jonathan (at) tietznet (dot) de
Created 2017-07-19 (669 days ago)
Due 07/19/2017 (669 days ago)
Updated 2017-07-23 (665 days ago)
Assigned 2017-07-21 (667 days ago)
Resolved 2017-07-23 (665 days ago)
Milestone
Patch No

History
2017-07-23 14:45:34 Michael Rubinsky Comment #8
State ⇒ Resolved
Reply to this comment
This is resolved.

The DNS for the new box was changed, but the health check was not, so 
the health check was failing, causing the failover box to take over. 
Additionally, there was some permission issue on the failover box that 
was causing the rsync process to fail - so the pear files were not 
properly sync'd.

Hopefully all is well now. A new sync is currently running to populate 
the failover, and the "real" server is currently answering requests.
2017-07-22 00:19:18 Michael Rubinsky Comment #7 Reply to this comment

The issue is that the box running the production web server is down. 
We have DNS failover to a backup server that was evidently not 
rsyncing any more. I have emails out to the appropriate people.

2017-07-22 00:01:23 Michael Rubinsky Comment #6 Reply to this comment
See https://pear.horde.org/ for the latest versions of packages. It 
looks like the latest version of Horde_Support is 2.1.5...
No, actually, there should be a 2.2.0. It was released back in 
February.  There is definitely something screwy going on here. Might 
be related to the recent server issues/ migration. I'm looking into it.
2017-07-21 19:59:55 nvanheuverzwijn (at) kronostechnologies (dot) com Comment #5 Reply to this comment
See https://pear.horde.org/ for the latest versions of packages. It 
looks like the latest version of Horde_Support is 2.1.5...
I know this is the latest version. I'm just saying that the 2.2.0 
version used to exist and it does not and it seems strange to me.
2017-07-21 19:55:18 arjen+horde (at) de-korte (dot) org Comment #4 Reply to this comment
See https://pear.horde.org/ for the latest versions of packages. It 
looks like the latest version of Horde_Support is 2.1.5...
2017-07-21 18:19:21 nvanheuverzwijn (at) kronostechnologies (dot) com Comment #3 Reply to this comment
Indeed. Might be the pear server just needs to be rebuilt. I'll look 
at this soon.
Is it normal that some version of many horde package in pear are 
missing ? Like "https://pear.horde.org/get/Horde_Support-2.2.0.tgz
returns 404 Not Found. I know this package used to exist because I had 
it in my composer cache.
2017-07-21 17:16:09 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Indeed. Might be the pear server just needs to be rebuilt. I'll look 
at this soon.
2017-07-19 21:58:14 jonathan (at) tietznet (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ https://pear.horde.org/ doesn't include latest security updates
Due ⇒ 2017-07-19
Queue ⇒ Horde.org Servers
Milestone ⇒
Patch ⇒ No
Reply to this comment
hi,

on the page
Horde_Image (2.3.6) and and Whups 3.0.8

doesn't include the latest versions (security)

Saved Queries